Gecode::Int::Linear::SupportIter< Val > Class Template Reference

Base-class for support-based iterator. More...

`#include <int-dom.hpp>`

## Public Member Functions

void | init (Region &r, int a, const IntView &x, Val l, Val u)
| Initialize view.
void | support (void)
| Record value at current position as supported.
ModEvent | tell (Space &home)
| Tell back new variable domain according to support found.

## Protected Attributes

int | a
| Integer coefficient for view.
IntView | x
| Integer view.
SupportSet | s
| Set of support for values in x.
int | c
| Current value.
unsigned int | p
| Position of current value.
Val | l
| Lower bound information for value.
Val | u
| Upper bound information for value.

## Detailed Description

template<class Val>
class Gecode::Int::Linear::SupportIter< Val >

Base-class for support-based iterator.

Definition at line 82 of file int-dom.hpp.

## Member Function Documentation

## init()

template<class Val>

void Gecode::Int::Linear::SupportIter< Val >::init | ( | Region & | r,
|  | int | a,
|  | const IntView & | x,
|  | Val | l,
|  | Val | u )

inline

Initialize view.

Definition at line 217 of file int-dom.hpp.

## support()

template<class Val>

void Gecode::Int::Linear::SupportIter< Val >::support | ( | void |  | ) |

inline

Record value at current position as supported.

Definition at line 224 of file int-dom.hpp.

## tell()

template<class Val>

ModEvent Gecode::Int::Linear::SupportIter< Val >::tell | ( | Space & | home | ) |

inline

Tell back new variable domain according to support found.

Definition at line 229 of file int-dom.hpp.

## Member Data Documentation

## a

template<class Val>

int Gecode::Int::Linear::SupportIter< Val >::a

protected

Integer coefficient for view.

Definition at line 85 of file int-dom.hpp.

## x

template<class Val>

IntView Gecode::Int::Linear::SupportIter< Val >::x

protected

Integer view.

Definition at line 87 of file int-dom.hpp.

## s

template<class Val>

SupportSet Gecode::Int::Linear::SupportIter< Val >::s

protected

Set of support for values in x.

Definition at line 89 of file int-dom.hpp.

## c

template<class Val>

int Gecode::Int::Linear::SupportIter< Val >::c

protected

Current value.

Definition at line 91 of file int-dom.hpp.

## p

template<class Val>

unsigned int Gecode::Int::Linear::SupportIter< Val >::p

protected

Position of current value.

Definition at line 93 of file int-dom.hpp.

## l

template<class Val>

Val Gecode::Int::Linear::SupportIter< Val >::l

protected

Lower bound information for value.

Definition at line 95 of file int-dom.hpp.

## u

template<class Val>

Val Gecode::Int::Linear::SupportIter< Val >::u

protected

Upper bound information for value.

Definition at line 97 of file int-dom.hpp.

The documentation for this class was generated from the following file:

- gecode/int/linear/int-dom.hpp